package com.example.app.jmix.playground.playground.screen.user;

import com.example.app.jmix.playground.playground.JmixPlaygroundApplication;
import com.example.app.jmix.playground.playground.entity.User;

import io.jmix.ui.navigation.Route;
import io.jmix.ui.screen.LookupComponent;
import io.jmix.ui.screen.StandardLookup;
import io.jmix.ui.screen.UiController;
import io.jmix.ui.screen.UiDescriptor;

@UiController(UserBrowse.UI_CONTROLLER)
@UiDescriptor(UserBrowse.UI_DESCRIPTOR)
@LookupComponent(UserBrowse.LOOKUP_COMPONENT)
@Route(UserBrowse.ROUTE_PATH)
public class UserBrowse extends StandardLookup<User>
{
    /**
     * Defines the lookup component.
     */
    public static final String LOOKUP_COMPONENT = "usersTable";

    /**
     * Defines the navigation route path.
     */
    public static final String ROUTE_PATH = "users";

    /**
     * Defines the UI controller name.
     */
    public static final String UI_CONTROLLER = JmixPlaygroundApplication.SCREEN_PREFIX + "User.browse";

    /**
     * Defines the UI descriptor file name.
     */
    public static final String UI_DESCRIPTOR = "user-browse.xml";
}