package com.example.app.jmix.playground.playground.base;

import org.junit.jupiter.api.AfterAll;
import org.junit.jupiter.api.BeforeAll;
import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.api.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * Very basic application test.
 *
 * @author bank
 */
public class EmptyTest
{
    /**
     * Class specific logger.
     */
    private static Logger sLogger;

    @BeforeAll
    public static void beforeAll()
    {
        sLogger = LoggerFactory.getLogger(EmptyTest.class);
    }

    @AfterAll
    public static void afterAll()
    {
        // this happens after all tests
    }

    @Test
    @DisplayName("empty test")
    public void emptyTest()
    {
        sLogger.info("Empty test running");
    }
}